# tsl::detail_ordered_hash

# class bucket_entry

Library:
Package:
Header: Poco/ordered_hash.h

## Member Summary

Member Functions: clear, empty, index, index_ref, max_size, set_hash, set_index, truncate_hash, truncated_hash, truncated_hash_ref

## Types Aliases

### index_type

using index_type = std::uint_least32_t;

### truncated_hash_type

using truncated_hash_type = std::uint_least32_t;

## Constructors

### bucket_entry

bucket_entry() noexcept;

## Member Functions

### clear

void clear() noexcept;

### empty

bool empty() const noexcept;

### index

index_type index() const noexcept;

### index_ref

index_type & index_ref() noexcept;

### max_size

static std::size_t max_size() noexcept;

### set_hash

void set_hash(
std::size_t hash
) noexcept;

### set_index

void set_index(
index_type index
) noexcept;

### truncate_hash

static truncated_hash_type truncate_hash(
std::size_t hash
) noexcept;

### truncated_hash

truncated_hash_type truncated_hash() const noexcept;

### truncated_hash_ref

truncated_hash_type & truncated_hash_ref() noexcept;